import type { APIButtonComponentWithCustomId, APIButtonComponentWithURL, APIMessage } from "discord-api-types/v10";
type ButtonComponentWithCustomId = APIButtonComponentWithCustomId & {
    emoji: APIButtonComponentWithCustomId["emoji"] & {
        name: string;
    };
};
type ButtonComponentWithURL = APIButtonComponentWithURL & {
    emoji: APIButtonComponentWithURL["emoji"] & {
        name: string;
    };
};
interface ButtonComponentProps {
    button: ButtonComponentWithCustomId | ButtonComponentWithURL;
    message: APIMessage;
}
declare function ButtonComponent({ button, message }: ButtonComponentProps): JSX.Element;
export default ButtonComponent;
//# sourceMappingURL=ButtonComponent.d.ts.map