import type { ComponentProps } from "react";
import * as Styles from "./style/author";
import type { APIUser, Snowflake } from "discord-api-types/v10";
interface MessageAuthorProps extends ComponentProps<typeof Styles.MessageAuthor> {
    author: APIUser;
    avatarAnimated?: boolean;
    onlyShowUsername?: boolean;
    crossPost?: boolean;
    referenceGuild?: Snowflake;
    guildId: Snowflake | null | undefined;
}
declare function MessageAuthor({ onlyShowUsername, author, avatarAnimated, crossPost, referenceGuild, guildId, ...props }: MessageAuthorProps): JSX.Element;
export default MessageAuthor;
//# sourceMappingURL=MessageAuthor.d.ts.map